> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/gum/properties-tab.md).

# Gum Properties Tab

### Introduction

The Gum Properties Tab provides access to common properties and actions for the entire Gum project. It can be accessed by selecting the Gum project (usually **GumProject.gumx** in **Global Content Files**), then selecting the **Gum Properties** tab.

![](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-0cf4c4f38a24317ea510148060af58234fb2abe7%2F2020-07-img_5f18e9ed6e06d.png?alt=media)

Note that if you do not have a GumProject.gumx in Global Content Files, you need to add a Gum project first. The easiest way to do this is to click the Gum icon in the toolbar.

### Automatically Create Gum Screens for Glue Screens

If checked, this property will automatically create a new Gum screen whenever a Glue screen is created. The newly-created Gum screen will be part of the Gum project and will be automatically added to the Glue screen. In other words, once created the screen is fully integrated into the project.

![](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-e763261361cdf54ed46b15693cbde292debc22e9%2F2020-07-img_5f18ec04232d4.png?alt=media)

The Gum screen will be named the same as the Glue screen with the word "Gum" appended. For example, if GameScreen is added, then it will contain GameScreenGum. **Gum Screens and Inheritance** Although both Glue and Gum screens support inheritance, Gum screens in derived Glue screens will not inherit from the base Gum screen. The reason for this is because the base screen will always load its Gum screen. If the derived Glue screen contained a derived Gum screen, then objects in the base Gum screen would be loaded twice. To understand this, we can consider an example with two Glue screens:

* GameScreen (the base Glue screen)
* Level1 (the derived Glue screen)

In this case, GameScreen will have a Gum screen called GameScreenGum, and it will always load this screen even if the actual screen created is the derived Level1. Therefore, if Level1 is loaded, then both of the Gum screens are loaded: GameScreenGum and Level1Gum. If Level1Gum inherited from GameScreenGum, then all of the contents in GameScreenGum would get created twice at runtime.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/gum/properties-tab.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
